my %LnL;
my $threshold = 0.5;

while (<*>) {
	if (-d "$_/Results") {
		my $folder = $_;
		chdir("$_/Results");
		while (<*>) {
			if (/^(.+)_AIC.txt$/ && -f $_) {
				my $partname = $1;
				open(INFILE, "< $_");
				while (<INFILE>) {
					if (/^(\S+)\s+\S+\s+\S+\s+(\d+\.?\d*)e([\-\+]\d+)/i) {
						$LnL{$partname}{$1}{$folder} = $2 * (10 ** $3);
					}
				}
				close(INFILE);
			}
		}
		chdir('../..');
	}
}

foreach my $partname (sort(keys(%LnL))) {
	foreach my $model (sort(keys(%{$LnL{$partname}}))) {
		print('partition : ' . $partname . "\n" . 'model : ' . $model . "\n");
		print('folder');
		my @folder = sort(keys(%{$LnL{$partname}{$model}}));
		foreach my $folder (@folder) {
			print("\t$folder");
		}
		print("\n");
		foreach my $folder1 (@folder) {
			print($folder1);
			foreach my $folder2 (@folder) {
				if ($folder1 ne $folder2) {
					if (abs($LnL{$partname}{$model}{$folder1} - $LnL{$partname}{$model}{$folder2}) < $threshold) {
						print("\tpass");
					} else {
						printf("\t%6f", $LnL{$partname}{$model}{$folder1} - $LnL{$partname}{$model}{$folder2});
					}
				} else {
					print("\t-");
				}
			}
			print("\n");
		}
		print("\n");
	}
}
